Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1517897

Summary: Unable to set timezone through appliance_console_cli --timezone
Product: Red Hat CloudForms Management Engine Reporter: luke couzens <lcouzens>
Component: ApplianceAssignee: Gregg Tanzillo <gtanzill>
Status: CLOSED CURRENTRELEASE QA Contact: luke couzens <lcouzens>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: abellott, cpelland, jhardy, obarenbo, simaishi, yrudman
Target Milestone: GAKeywords: Regression, TestOnly
Target Release: 5.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: black
Fixed In Version: 5.10.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1526112 (view as bug list) Environment:
Last Closed: 2019-02-11 13:53:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1526112    

Description luke couzens 2017-11-27 16:33:44 UTC
Description of problem:Unable to set timezone through appliance_console_cli --timezone


Version-Release number of selected component (if applicable):5.9.0.10


How reproducible:100%


Steps to Reproduce:
1.provision appliance
2.ssh to appliance
3.run appliance_console_cli --timezone UTC

Actual results:
Activate starting
Applying new timezone ...
Failed to apply timezone configuration
Timezone not configured

Expected results:
Either timezone configured or a list of available options shown.


Additional info:

Comment 3 CFME Bot 2017-12-06 14:35:19 UTC
New commit detected on ManageIQ/manageiq-appliance_console/master:
https://github.com/ManageIQ/manageiq-appliance_console/commit/36e14e27971bc392353d098fd2957d2d42a873f4

commit 36e14e27971bc392353d098fd2957d2d42a873f4
Author:     Bo Yao <icerove@gmail.com>
AuthorDate: Fri Dec 1 15:26:55 2017 -0500
Commit:     Bo Yao <icerove@gmail.com>
CommitDate: Tue Dec 5 19:18:30 2017 -0500

    use attr accessor to support setting time zone in cli
    https://bugzilla.redhat.com/show_bug.cgi?id=1517897

 lib/manageiq/appliance_console/cli.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 4 Satoe Imaishi 2017-12-12 17:30:58 UTC
PR to bump manageiq-appliance_console version: https://github.com/ManageIQ/manageiq-appliance/pull/163

Comment 7 luke couzens 2018-06-18 11:50:38 UTC
Verified in 5.10